import * as Model from '../model';
export declare type Renderer = (box: string, item: Model.TreeNode) => string;
export declare const DEF_RENDERER = "default";
export declare const renderer: {
    [DEF_RENDERER](box: string, item: Model.TreeNode): string;
    light(box: string, item: Model.TreeNode): string;
    dark(box: string, item: Model.TreeNode): string;
};
export declare function pretty(tree: Model.TreeNode[], render?: Renderer): string;
